Debian Bug report logs - #657746
prolix: under- and wrongly-documented, not working interactively at all

version graph

Package: prolix; Maintainer for prolix is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for prolix is src:prolix.

Reported by: Yann Dirson <dirson@debian.org>

Date: Sat, 28 Jan 2012 14:30:01 UTC

Severity: serious

Tags: fixed-upstream

Found in version prolix/0.01-1

Fixed in version prolix/0.03-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=74504

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#657746; Package prolix. (Sat, 28 Jan 2012 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 28 Jan 2012 14:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: prolix: under- and wrongly-documented, not working interactively at all
Date: Sat, 28 Jan 2012 15:26:00 +0100
Package: prolix
Version: 0.01-1
Severity: serious

* the manpage does not give a synopsis or explanation of options, only
  example uses not directly usable on standard files.  No proper
  documentation of interactive mode either.

* trying a simple thing like:
    strings /usr/bin/gdmflexiserver|prolix -r '[a-z]'
  ... does filter, but I'm back to the shell without any possibility
  of interactive use

* "prolix -h" tells that "-v" is --verbose, but attempting to use it
  makes it obvious that it is an alias to (undocumented) --version
  flag instead, and it does not even give prolix' version

* "-l" says "Option log requires an argument", which -h does not tell
  about

well... that makes it *far* less useful than "grep -v" in its current
state - looking forward to see it in better shape...

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (500, 'oldstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages prolix depends on:
ii  libdata-munge-perl             0.04-1
ii  libipc-run-perl                0.90-1
ii  libjson-perl                   2.53-1
ii  libmoose-perl                  2.0401-1
ii  libmoosex-configfromfile-perl  0.04-1
ii  libmoosex-getopt-perl          0.37-1
ii  libstring-shellquote-perl      1.03-1
ii  libterm-readkey-perl           2.30-4+b2
ii  libtry-tiny-perl               0.11-1
ii  perl                           5.14.2-6

prolix recommends no packages.

prolix suggests no packages.

-- no debconf information




Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=74504'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 29 Jan 2012 14:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#657746; Package prolix. (Sat, 04 Feb 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 04 Feb 2012 15:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 657746@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 657746@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [gaal@forum2.org: Please package App-Prolix 0.03]
Date: Sat, 4 Feb 2012 16:11:47 +0100
[Message part 1 (text/plain, inline)]
# fixed upstream, new version App-Prolix 0.03
tag 657746 + fixed-upstream
thanks

Hi Gaal!

I'm forwarding this to the bugreport.

Thanks for your fast reaction on that report.

Regards
Salvatore

----- Forwarded message from Gaal Yahas <gaal@forum2.org> -----

Date: Sat, 4 Feb 2012 10:56:38 +0200
From: Gaal Yahas <gaal@forum2.org>
To: debian-perl@lists.debian.org
Subject: Please package App-Prolix 0.03
Resent-From: debian-perl@lists.debian.org

Hi Debian Perl maintainers,
The fix for http://bugs.debian.org/657746 involved a patch to another
package (MooseX::Getopt). That has since been applied and a package put on
the CPAN. Please package App-Prolix version 0.03, which correctly sets its
prereqs to the fixed version.

Thanks very much,
Gaal

-- 
Gaal Yahas <gaal@forum2.org>
http://gaal.livejournal.com/

----- End forwarded message -----
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 04 Feb 2012 15:15:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 07 Feb 2012 14:57:33 GMT) Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. (Tue, 07 Feb 2012 14:57:34 GMT) Full text and rfc822 format available.

Message #19 received at 657746-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 657746-close@bugs.debian.org
Subject: Bug#657746: fixed in prolix 0.03-1
Date: Tue, 07 Feb 2012 14:52:39 +0000
Source: prolix
Source-Version: 0.03-1

We believe that the bug you reported is fixed in the latest version of
prolix, which is due to be installed in the Debian FTP archive:

prolix_0.03-1.debian.tar.gz
  to main/p/prolix/prolix_0.03-1.debian.tar.gz
prolix_0.03-1.dsc
  to main/p/prolix/prolix_0.03-1.dsc
prolix_0.03-1_all.deb
  to main/p/prolix/prolix_0.03-1_all.deb
prolix_0.03.orig.tar.gz
  to main/p/prolix/prolix_0.03.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657746@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated prolix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 07 Feb 2012 14:59:15 +0100
Source: prolix
Binary: prolix
Architecture: source all
Version: 0.03-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 prolix     - tool to interactively filter chatty command output
Closes: 657746
Changes: 
 prolix (0.03-1) unstable; urgency=low
 .
   * Team upload.
   * New upstream release:
     - doc fixes (closes: #657746)
   * Update year of upstream copyright.
   * Make (build-) dependency on libmoosex-getopt-perl versioned.
Checksums-Sha1: 
 d3ce82e8eced82e836e85231f0bce1d39a649c25 2148 prolix_0.03-1.dsc
 b5e780db5c051649e70b80e7db195806749ea1d2 9489 prolix_0.03.orig.tar.gz
 eee8cd3da6f5f661a33957a582887f8d5a907fb5 1813 prolix_0.03-1.debian.tar.gz
 145eb3f4d67d13b0848639d53de7c3a814477a8d 17700 prolix_0.03-1_all.deb
Checksums-Sha256: 
 bb917edf556531e4830fae732c2dcf9240d84b610fd9b340b893ec34a15e5428 2148 prolix_0.03-1.dsc
 6e48cbe04f95629fc2fb7a658a570aa72fbd216c52cfa9ee6368c38b654a540e 9489 prolix_0.03.orig.tar.gz
 d8c73c64df84382d9d2dced5542080b871cf9a07865dfee5c60819727adf98ed 1813 prolix_0.03-1.debian.tar.gz
 6ac5cabb1d5fb7529fd8fdea070832b57a41e26b9404793afc8ba409691d8121 17700 prolix_0.03-1_all.deb
Files: 
 dddb7ca1afce16294a9dab9b5ce23b96 2148 perl optional prolix_0.03-1.dsc
 cf244b6c138d97293735e6d47c030c40 9489 perl optional prolix_0.03.orig.tar.gz
 24fe07dcce1618aca0cc6e737248075b 1813 perl optional prolix_0.03-1.debian.tar.gz
 95cf37c4beea0da5421d542b6b36e912 17700 perl optional prolix_0.03-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPMS6uAAoJELs6aAGGSaoGn74QAJcRpTKH8qoepB/AF8tEqcef
cUXDcwj4to6G3F27l2/htqmuy9nQG6ydnQPMjpsVrA/FYUGIM4UB/rdwSQ3nQSyZ
AQQ7g134cWODbzBM6erA+7Wd4D3Cd9/UO+eD2boh8UknlC7OLdIvgF+Ss39U1niV
YY6HS/0+YCxjmzZEO3PwAeRtfgZ3p1AY4jHdK/6oSf9JpHj2vXWecVAiMddylXSM
NwlncjhwkZwvP7tDnLwcVc5YDiuYKpB27nNcPdv/hpNr0a4r53/ScAVu0BxjnyUb
7hu4zr5nFp05fZf0ezVXMTxINBC7ATSS1fiEj1Y4gDG4km4Uqd3LMu+oPBWo4fGj
hCQQ3Xdp5BKZa0Iq2RfHXdt9yddY48JsKRhunDIwu7eLWIQSzBTSxZnD4gCTxNlj
m4ZtBGecBFX3RAEhnEwvw1CKZWDOiYk+Ctm6hAmgypYQjOfKJ32LwvczvbNGsFAM
rbPraOlvFEqhUyBs81EWYLZahAf0QQFNJ6SaT+h2ro3bG/IKEdcxLmv5Q92LXn50
WFdEb/3rQO+tWU7e3tKagL4pLrGVWIvmd8e8IOlMOc0AZCTST2ygAdj8uRTw0pPC
934xBzLgEJ6AqhplKGaHavugspI4YzzXzgDL8WOmNM7CL4L0+mlDDrny5PaDBZLz
dKFhRqyb4LSf/o/6uuxj
=kseF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:37:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:30:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.